Microforge API

Get repository details

Retrieve comprehensive information about a specific repository

GET
/repos

Query Parameters

repo_namestring

Repository name

Response Body

Repository details

TypeScript Definitions

Use the response body type in TypeScript.

id?integer
name?string
github_description?string

The repository description from GitHub

homepage?string
Format"uri"
star_count?integer
created_at?string
Format"date-time"
change_in_stars_30_days?number

Percentage change in stars over the last 30 days

Format"float"
change_in_stars_7_days?number

Percentage change in stars over the last 7 days

Format"float"
topics?array<string>
language?string
forks_count?integer
score?object
owner_homepage?string
Format"uri"
categories?array<string>
avatar_url?string
Format"uri"
crunchbase_url?string
Format"uri"
linkedin_url?string
Format"uri"
country?string
region?string
funding_amount?number | null

Funding amount in millions USD

Format"float"
display_name?string
short_description?string
medium_description?string
long_description?string
descriptions?object
founders?array<object>

Repository not found

Internal server error

curl -X GET "https://api.microforge.studio/v1/repos?repo_name=calcom%2Fcal.com"
fetch("https://api.microforge.studio/v1/repos?repo_name=calcom%2Fcal.com")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.microforge.studio/v1/repos?repo_name=calcom%2Fcal.com"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.microforge.studio/v1/repos?repo_name=calcom%2Fcal.com"

response = requests.request("GET", url)

print(response.text)
{
  "id": 350360184,
  "name": "calcom/cal.com",
  "github_description": "Scheduling infrastructure for absolutely everyone.",
  "homepage": "https://cal.com",
  "star_count": 40055,
  "created_at": "2021-03-22",
  "change_in_stars_30_days": 0.011898746968472,
  "change_in_stars_7_days": 0.003256105197244,
  "topics": [
    "next-auth",
    "nextjs",
    "open-source",
    "postgresql",
    "prisma",
    "t3-stack",
    "tailwindcss",
    "trpc",
    "turborepo",
    "typescript",
    "zod"
  ],
  "language": "TypeScript",
  "forks_count": 11795,
  "score": {
    "external_interest": 10,
    "age": 4,
    "activity": 10,
    "health": 0,
    "presence": 10,
    "cumulative": 7.6
  },
  "owner_homepage": "https://cal.com",
  "categories": [
    "Others"
  ],
  "avatar_url": "https://avatars.githubusercontent.com/u/79145102?v=4",
  "crunchbase_url": "https://www.crunchbase.com/organization/calendso",
  "linkedin_url": "https://www.linkedin.com/company/cal-com",
  "country": "Canada, India, Mexico, United States",
  "region": "North America",
  "funding_amount": 32.35,
  "display_name": "Cal",
  "short_description": "Scheduling for everyone.",
  "medium_description": "calcom provides universal scheduling infrastructure, suitable for various users.",
  "long_description": "calcom develops scheduling infrastructure designed for use by everyone, offering solutions flexible enough for diverse needs.",
  "descriptions": {
    "short": "Scheduling for everyone.",
    "medium": "calcom provides universal scheduling infrastructure, suitable for various users.",
    "long": "calcom develops scheduling infrastructure designed for use by everyone, offering solutions flexible enough for diverse needs.",
    "github": "Scheduling infrastructure for absolutely everyone."
  },
  "founders": [
    {
      "name": "Tim Perry",
      "summary": "Creator of HTTP Toolkit, Oxford CS, Ex-balena",
      "linkedin": "https://linkedin.com/in/pimterry",
      "twitter": "https://twitter.com/pimterry"
    }
  ]
}
Empty
Empty